<div class="user-services-over-mobile">
  <div class="columns is-mobile is-marginless user-services-header">
    <div class="column is-1"></div>
    <div class="column is-4">
      <span class="column-name" i18n="@@userService.name">Name</span>
    </div>
    <div class="column is-2">
      <span class="column-name">Status</span>
    </div>
    <div class="column is-2">
      <span class="column-name" i18n="@@userService.validity">Validity</span>
    </div>
  </div>
  <div class="user-services-content">
    <ng-container *ngFor="let resource of userResources; let index = index; let odd = odd">
      <div class="columns is-mobile is-marginless"  [ngClass]="{'is-open': isRowOpened(index, userResourcesOpenedRow)}">
        <div class="column is-1 is-clickable has-text-centered"  (click)="toggleRow(index, userResourcesOpenedRow)">
          <span [ngClass]="{'is-open': isRowOpened(index, userResourcesOpenedRow)}">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
            </svg>
          </span>
        </div>
        <div class="column is-4 is-clickable">
          <span *ngIf="!resource.datasetTitle">{{ resource.datasetName }}</span>
          <a *ngIf="resource.datasetTitle" [routerLink]="['/', AppRoutes.datasets.uri, resource.datasetSlug]">
            {{ resource.datasetTitle }}
          </a>
        </div>
        <div class="column is-2 is-clickable"
          [ngClass]="{'is-pending': getResourceStatus(resource) === 'pending', 'is-expired': getResourceStatus(resource) === 'expired'}"
          (click)="toggleRow(index, userResourcesOpenedRow)">
          <span>{{ statusesTrad[getResourceStatus(resource)] }}</span>
        </div>
        <div class="column is-2 is-clickable" (click)="toggleRow(index, userResourcesOpenedRow)">
          <span>{{ getResourceValidityDate(resource) ? (getResourceValidityDate(resource) | date:'dd/MM/yyyy') : '-'  }}</span>
        </div>
        <div class="column is-3 has-text-right">
          <div class="field">
            <input class="is-checkradio is-small" [id]="'user_' + resource.datasetId + '_all'" type="checkbox"
              [name]="'user_' + resource.datasetName + '_all'"
              (click)="toggleResource(resource.datasetId, userResources)"
              [checked]="allServicesAreSelected(resource.datasetId, userResources)"
              [indeterminate]="isUndeterminated(resource.datasetId, userResources)" [disabled]="isLoading">
            <label [for]="'user_' + resource.datasetId + '_all'"></label>
          </div>
        </div>
      </div>

      <div class="columns is-marginless is-multiline is-mobile service-details" [ngClass]="{'is-open': isRowOpened(index, userResourcesOpenedRow)}"
        *ngIf="isRowOpened(index, userResourcesOpenedRow)">
        <div class="column is-12 is-paddingless" *ngFor="let service of resource.services;">
          <div class="columns is-marginless is-mobile services-columns">
            <div class="column is-4 is-offset-1 service-name-column">
              <span>{{ service.name }}</span>
            </div>
            <div class="column is-2"
              [ngClass]="{'is-pending': getResourceStatus(resource) === 'pending', 'is-expired': getResourceStatus(resource) === 'expired'}">
              <span>{{ statusesTrad[service.status] }}</span>
            </div>
            <div class="column is-2">
              <span>{{ service.validUntil ? (service.validUntil | date:'dd/MM/yyyy') : '-'}}</span>
            </div>
            <div class="column is-3 has-text-right">
              <div class="field">
                <input class="is-checkradio is-small" [id]="'user_' + resource.datasetId + '_' + service.id"
                  type="checkbox" [name]="'user_' + resource.datasetName + '_' + service.name"
                  [(ngModel)]="service.selected" [disabled]="isLoading">
                <label [for]="'user_' + resource.datasetId + '_' + service.id"></label>
              </div>
            </div>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</div>
<div class="user-services-mobile">
  <ng-container *ngFor="let resource of userResources; let index = index; let odd = odd">
    <div class="columns is-mobile is-marginless is-multiline">
      <div class="column is-2 is-clickable vcenter-column has-text-centered"
        (click)="toggleRow(index, userResourcesOpenedRow)">
        <span [ngClass]="{'is-open': isRowOpened(index, userResourcesOpenedRow)}">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
          </svg>
        </span>
      </div>
      <div class="column is-7 is-clickable">
        <span *ngIf="!resource.datasetTitle">{{ resource.datasetName }}</span>
        <a *ngIf="resource.datasetTitle" [routerLink]="['/', AppRoutes.datasets.uri, resource.datasetSlug]">
          {{ resource.datasetTitle }}
        </a>
      </div>
      <div class="column is-3 vcenter-column">
        <div class="field">
          <input class="is-checkradio is-small" [id]="'user_' + resource.datasetId + '_all_mobile'" type="checkbox"
            [name]="'user_' + resource.datasetName + '_all_mobile'"
            (click)="toggleResource(resource.datasetId, userResources);"
            [checked]="allServicesAreSelected(resource.datasetId, userResources)"
            [indeterminate]="isUndeterminated(resource.datasetId, userResources)" [disabled]="isLoading">
          <label [for]="'user_' + resource.datasetId + '_all_mobile'"></label>
        </div>
      </div>
    </div>
    <div class="columns is-mobile is-marginless is-multiline"
      *ngIf="isRowOpened(index, userResourcesOpenedRow)">
      <div class="column is-12 is-paddingless">
        <div class="columns is-mobile is-marginless is-multiline services-columns-mobile"
          *ngFor="let service of resource.services">
          <div class="column is-12 service-name-column-mobile">
            <span>Service {{ service.name | uppercase }}</span>
          </div>
          <div class="column is-4">
            <span class="mobile-label">Status</span><br />
            <span>{{ statusesTrad[service.status] }}</span>
          </div>
          <div class="column is-5">
            <span class="mobile-label" i18n="@@userService.validity">Validity</span><br />
            <span>{{ service.validUntil ? (service.validUntil | date:'dd/MM/yyyy') : '-'}}</span>
          </div>
          <div class="column is-3 vcenter-column">
            <div class="field">
              <input class="is-checkradio is-small" [id]="'user_' + resource.datasetId + '_' + service.id + '_mobile'"
                type="checkbox" [name]="'user_' + resource.datasetName + '_' + service.name + '_mobile'"
                [(ngModel)]="service.selected" [disabled]="isLoading">
              <label class="checkbox-label" [for]="'user_' + resource.datasetId + '_' + service.id + '_mobile'"></label>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</div>

<div class="action-button-wrapper">
  <button type="button" class="button btn-red-text" [ngClass]="{'is-loading': isRemovingAccess}"
    [disabled]="selectedResources(userResources).length <= 0 || isLoading" (click)="removeAccess()"
    i18n="@@userService.removeButton">
    Remove access
  </button>

  <button type="button" class="button button-gl" [ngClass]="{'is-loading': isRenewingAccess}"
    [disabled]="selectedResources(userResources).length <= 0 || isLoading" (click)="renewAccesses()"
    i18n="@@userService.renewButton">
    Renew access
  </button>
</div>